package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.MarketStockMapper;
import com.ruoyi.system.domain.MarketStock;
import com.ruoyi.system.service.IMarketStockService;

/**
 * 市场大盘（日）Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-20
 */
@Service
public class MarketStockServiceImpl implements IMarketStockService 
{
    @Autowired
    private MarketStockMapper marketStockMapper;

    /**
     * 查询市场大盘（日）
     * 
     * @param id 市场大盘（日）主键
     * @return 市场大盘（日）
     */
    @Override
    public MarketStock selectMarketStockById(Integer id)
    {
        return marketStockMapper.selectMarketStockById(id);
    }

    /**
     * 查询市场大盘（日）列表
     * 
     * @param marketStock 市场大盘（日）
     * @return 市场大盘（日）
     */
    @Override
    public List<MarketStock> selectMarketStockList(MarketStock marketStock)
    {
        return marketStockMapper.selectMarketStockList(marketStock);
    }

    /**
     * 新增市场大盘（日）
     * 
     * @param marketStock 市场大盘（日）
     * @return 结果
     */
    @Override
    public int insertMarketStock(MarketStock marketStock)
    {
        return marketStockMapper.insertMarketStock(marketStock);
    }

    /**
     * 修改市场大盘（日）
     * 
     * @param marketStock 市场大盘（日）
     * @return 结果
     */
    @Override
    public int updateMarketStock(MarketStock marketStock)
    {
        return marketStockMapper.updateMarketStock(marketStock);
    }

    /**
     * 批量删除市场大盘（日）
     * 
     * @param ids 需要删除的市场大盘（日）主键
     * @return 结果
     */
    @Override
    public int deleteMarketStockByIds(Integer[] ids)
    {
        return marketStockMapper.deleteMarketStockByIds(ids);
    }

    /**
     * 删除市场大盘（日）信息
     * 
     * @param id 市场大盘（日）主键
     * @return 结果
     */
    @Override
    public int deleteMarketStockById(Integer id)
    {
        return marketStockMapper.deleteMarketStockById(id);
    }
}
